Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api
Interface CompletedTaskTable

    public interface CompletedTaskTable

The `CompletedTaskTable` manages a table of `CompletedTaskRecord`. It provides a variety of methods to do query and removal.

See Also:
  `CompletedTaskRecord`

Method Summary
`void` | `commit()` Commits changes into the disk.
`java.util.Enumeration` | `getAllCompletedTaskRecords()` Gets all the completed task records.
`CompletedTaskRecord` | `getCompletedTaskRecord(java.lang.String recordID)` Gets a `CompletedTaskRecord` specified by record ID.
`java.util.Vector` | `getCompletedTaskRecordsByReport(java.lang.String catalog, java.lang.String report)` Gets completed task records through the catalog and report.
`java.util.Vector` | `getCompletedTaskRecordsByTaskID(java.lang.String taskID)` Gets completed task records below the specified task ID.
`java.util.Vector` | `getCompletedTaskRecordsByUser(java.lang.String userId)` Gets completed task records for specified user.
`boolean` | `removeAllCompletedTaskRecord()` Removes all completed task records.
`boolean` | `removeCompletedTaskRecord(java.lang.String recordID)` Removes a completed task record with the specified record ID.

Method Detail

### getAllCompletedTaskRecords

    java.util.Enumeration getAllCompletedTaskRecords()
                                                     throws RptServerException

  Gets all the completed task records. The element of result Enumeration is `CompletedTaskRecord`

  Returns:
    the `Enumeration` of all the `CompletedTaskRecord` of the completed task.
  Throws:
    `RptServerException` - if communication error or access database error.
  See Also:
    `CompletedTaskRecord`

### getCompletedTaskRecord

    CompletedTaskRecord getCompletedTaskRecord(java.lang.String recordID)
                                               throws RptServerException

  Gets a `CompletedTaskRecord` specified by record ID.

  Parameters:
    `recordID` - the record Id
  Returns:
    the CompletedTaskRecord specified by recordID. If the record does not exist return `null`.
  Throws:
    `RptServerException` - if communication error or access database error.
  See Also:
    `CompletedTaskRecord`

### getCompletedTaskRecordsByTaskID

    java.util.Vector getCompletedTaskRecordsByTaskID(java.lang.String taskID)
                                                     throws RptServerException

  Gets completed task records below the specified task ID. The element of result collection is `CompletedTaskRecord`.

  Parameters:
    `taskID` - the task Id
  Returns:
    the collection of `CompletedTaskRecord` of the completed task.
  Throws:
    `RptServerException` - if communication error or access database error.
  See Also:
    `CompletedTaskRecord`

### getCompletedTaskRecordsByReport

    java.util.Vector getCompletedTaskRecordsByReport(java.lang.String catalog,
                                                     java.lang.String report)
                                                     throws RptServerException

  Gets completed task records through the catalog and report. The element of result collection is `CompletedTaskRecord`.

  Parameters:
    `catalog` - the full path catalog name on the resource tree, for example, /SampleReports/Catalog1.cat
    `report` - the full path report name on the resource tree, for example, /SampleReports/Report1.cls
  Returns:
    the collection of `CompletedTaskRecord` of the completed task.
  Throws:
    `RptServerException` - if communication error or access database error.
  See Also:
    `CompletedTaskRecord`

### getCompletedTaskRecordsByUser

    java.util.Vector getCompletedTaskRecordsByUser(java.lang.String userId)
                                                   throws RptServerException

  Gets completed task records for specified user. The element of the result collection is `CompletedTaskRecord`.

  Parameters:
    `userId` - owner of the completed task
  Returns:
    the collection of `CompletedTaskRecord` of the completed task.
  Throws:
    `RptServerException` - if communication error or access database error.
  See Also:
    `CompletedTaskRecord`

### removeCompletedTaskRecord

    boolean removeCompletedTaskRecord(java.lang.String recordID)
                                      throws RptServerException

  Removes a completed task record with the specified record ID.

  Parameters:
    `recordID` - the record ID to be removed.
  Returns:
    If the completed task is removed return `true`, if the record ID does not exist return `false`.
  Throws:
    `RptServerException` - if communication error or access database error.

### removeAllCompletedTaskRecord

    boolean removeAllCompletedTaskRecord()
                                         throws RptServerException

  Removes all completed task records.

  Returns:
    If all records are removed successfully return `true`, if not all records are removed return `false`.
  Throws:
    `RptServerException` - if communication error or access database error.

### commit

    void commit()
                throws RptServerException

  Commits changes into the disk.

  Throws:
    `RptServerException` - if communication error or access database error.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD